## START: Set by rpmautospec
## (rpmautospec version 0.6.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary:        Operating System AppStream Metadata for Fedora Linux
Name:           fedora-appstream-metadata
# Use the time of the last metadata update as version
Version:        20240303
Release:        %autorelease
License:        MIT
URL:            https://fedoraproject.org/
Source1:        org.fedoraproject.fedora.metainfo.xml
Source2:        LICENSE
Source3:        update-appstream-metadata.go
BuildArch:      noarch

%description
Operating System AppStream Metadata for Fedora Linux

%prep
# only appstream 1.0 knows about "snapshot" releases
%if 0%{?fedora} < 40
sed -i '/<release / s/type="snapshot"/type="development"/' %{SOURCE1}
%endif

%build

%install
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_datadir}/metainfo/org.fedoraproject.fedora.metainfo.xml
install -Dpm 0644 %{SOURCE2} %{buildroot}%{_datadir}/licenses/%{name}/LICENSE

%files
%license LICENSE
%{_datadir}/metainfo/org.fedoraproject.fedora.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Sun Mar 03 2024 Timothée Ravier <tim@siosm.fr> - 20240303-1
- metadata: Fedora 40 has been branched

* Sat Feb 03 2024 Timothée Ravier <tim@siosm.fr> - 20231129-7
- update-appstream-metadata: Bump oldest release to 38

* Sat Feb 03 2024 Timothée Ravier <tim@siosm.fr> - 20231129-6
- metadata: Fix Fedora 37 release date

* Sat Feb 03 2024 Timothée Ravier <tim@siosm.fr> - 20231129-5
- update-appstream-metadata: Rework to reuse previous metadata

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231129-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Alessandro Astone <ales.astone@gmail.com> - 20231129-3
- Use new snapshot appstream release type for rawhide

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20231129-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Nov 29 2023 Timothée Ravier <tim@siosm.fr> - 20231129-1
- Update to set planned EOL dates for F38 & F39

* Tue Nov 28 2023 Timothée Ravier <tim@siosm.fr> - 20231124-2
- update-appstream-metadata: Handle nested scheduling format

* Fri Nov 24 2023 Timothée Ravier <tim@siosm.fr> - 20231124-1
- Add Fedora 37 EOL date

* Tue Nov 07 2023 Timothée Ravier <tim@siosm.fr> - 20231107-1
- Update for Fedora 39 release

* Tue Sep 19 2023 Timothée Ravier <tim@siosm.fr> - 20230919-1
- Fedora 39 Beta released

* Wed Sep 06 2023 Alessandro Astone <ales.astone@gmail.com> - 20230814-2
- update-appstream-metadata: Assign beta announcement URL

* Mon Aug 14 2023 Timothée Ravier <tim@siosm.fr> - 20230814-1
- Fedora 39 branched & Fedora 36 EOL

* Mon Aug 14 2023 Timothée Ravier <tim@siosm.fr> - 20230419-4
- update-appstream-metadata: Check KojiName instead of Version

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230419-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Apr 19 2023 Alessandro Astone <ales.astone@gmail.com> - 20230419-2
- Uncapitalize rawhide

* Wed Apr 19 2023 Timothée Ravier <tim@siosm.fr> - 20230419-1
- Update for Fedora 38 release

* Mon Feb 20 2023 Timothée Ravier <tim@siosm.fr> - 20230220-1
- Update now that F38 is branched

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20221115-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Nov 15 2022 Timothée Ravier <tim@siosm.fr> - 20221115-1
- Update for Fedora 37 release

* Mon Sep 12 2022 Timothée Ravier <tim@siosm.fr> - 20220912-1
- Update now that F37 is branched

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20220623-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jun 23 2022 Timothée Ravier <tim@siosm.fr> - 20220623-1
- Update metadata, README and version scheme
- Update metadata for Fedora 34 EOL
- Update README with instructions to update the metadata
- Use last metadata update time as package version
- Drop '-p' for autorelease macro

* Wed Jun 22 2022 Timothée Ravier <tim@siosm.fr> - 37-0.2
- Fix imported specfile

* Wed Jun 22 2022 Timothée Ravier <tim@siosm.fr> - 37-1
- Initial import (fedora#2068492)
## END: Generated by rpmautospec
